# SPDX-FileCopyrightText: 2016-2022 Bruce Cowan <bruce@bcowan.me.uk>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

from gi.repository import GObject, Gtk

from countdown import countdownlabel, digitalclock, timepopover


@Gtk.Template(resource_path="/uk/me/bcowan/Countdown/ui/countdown.ui")
class ApplicationWindow(Gtk.ApplicationWindow):
    __gtype_name__ = "ApplicationWindow"

    def __init__(self, app: Gtk.Application) -> None:
        super().__init__(application=app)

        GObject.type_ensure(countdownlabel.CountdownLabel.__gtype__)
        GObject.type_ensure(digitalclock.DigitalClock.__gtype__)
        GObject.type_ensure(timepopover.TimePopover.__gtype__)
