# SPDX-FileCopyrightText: 2018-2022 Bruce Cowan <bruce@bcowan.me.uk>
#
# SPDX-License-Identifier: LGPL-3.0-or-later

from gi.repository import GLib, Gtk


@Gtk.Template(resource_path="/uk/me/bcowan/Countdown/ui/digital-clock.ui")
class DigitalClock(Gtk.Label):
    """A label which shows the current time"""

    __gtype_name__ = "DigitalClock"

    def __init__(self):
        super().__init__()

        self._update_clock()
        GLib.timeout_add_seconds(1, self._update_clock)

    def _update_clock(self) -> bool:
        now = GLib.DateTime.new_now_local()
        self.props.label = now.format("%d/%m/%y %H:%M:%S")
        return True
